'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getRoot = require('../getRoot');

var _getRoot2 = _interopRequireDefault(_getRoot);

var _getAccidental = require('../getAccidental');

var _getAccidental2 = _interopRequireDefault(_getAccidental);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getNote = function getNote(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  return '' + (0, _getRoot2.default)(note) + ((0, _getAccidental2.default)(note) || '');
};

exports.default = getNote;
module.exports = exports['default'];