'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Accidental = require('../constants/Accidental');

var _noteToObject = require('../noteToObject');

var _noteToObject2 = _interopRequireDefault(_noteToObject);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var hasAccidentalLetter = function hasAccidentalLetter(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    return false;
  }

  return (0, _noteToObject2.default)(note).accidentalType === _Accidental.LETTER;
};

exports.default = hasAccidentalLetter;
module.exports = exports['default'];