'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getOctave = require('../getOctave');

var _getOctave2 = _interopRequireDefault(_getOctave);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var hasOctave = function hasOctave(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    return false;
  }

  return typeof (0, _getOctave2.default)(note) !== 'undefined';
};

exports.default = hasOctave;
module.exports = exports['default'];