'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _noteToObject = require('../noteToObject');

var _noteToObject2 = _interopRequireDefault(_noteToObject);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

var _Accidental = require('../constants/Accidental');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isFlat = function isFlat(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    return false;
  }

  return (0, _noteToObject2.default)(note).accidental === _Accidental.FLAT;
};

exports.default = isFlat;
module.exports = exports['default'];