'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isScaleWithIntervalAmount = require('../isScaleWithIntervalAmount');

var _isScaleWithIntervalAmount2 = _interopRequireDefault(_isScaleWithIntervalAmount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isHeptatonicScale = function isHeptatonicScale(scale) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$direction = _ref.direction,
      direction = _ref$direction === undefined ? 1 : _ref$direction;

  return (0, _isScaleWithIntervalAmount2.default)(scale, 7, { direction: direction });
};

// https://en.wikipedia.org/wiki/Heptatonic_scale

exports.default = isHeptatonicScale;
module.exports = exports['default'];