'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hasAccidental = require('../hasAccidental');

var _hasAccidental2 = _interopRequireDefault(_hasAccidental);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isNatural = function isNatural(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    return false;
  }
  return !(0, _hasAccidental2.default)(note);
};

exports.default = isNatural;
module.exports = exports['default'];