'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _transferAccidentalStyle = require('../transferAccidentalStyle');

var _transferAccidentalStyle2 = _interopRequireDefault(_transferAccidentalStyle);

var _transferAccidental = require('../transferAccidental');

var _transferAccidental2 = _interopRequireDefault(_transferAccidental);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var transferStyle = function transferStyle(reference, note) {
  if (!(0, _isScientificNote2.default)(reference)) {
    throw new Error('"' + reference + '" is not a valid note.');
  }

  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  return (0, _transferAccidental2.default)(reference, (0, _transferAccidentalStyle2.default)(reference, note));
};

// should transfer flat or sharp style preference (sharp / flat - symbol / letter)
// if reference has no accidental it should mirror it's input style

exports.default = transferStyle;
module.exports = exports['default'];