'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _IONIAN = require('./IONIAN');

var _IONIAN2 = _interopRequireDefault(_IONIAN);

var _DORIAN = require('./DORIAN');

var _DORIAN2 = _interopRequireDefault(_DORIAN);

var _PHRYGIAN = require('./PHRYGIAN');

var _PHRYGIAN2 = _interopRequireDefault(_PHRYGIAN);

var _LYDIAN = require('./LYDIAN');

var _LYDIAN2 = _interopRequireDefault(_LYDIAN);

var _MIXOLYDIAN = require('./MIXOLYDIAN');

var _MIXOLYDIAN2 = _interopRequireDefault(_MIXOLYDIAN);

var _AEOLIAN = require('./AEOLIAN');

var _AEOLIAN2 = _interopRequireDefault(_AEOLIAN);

var _LOCRIAN = require('./LOCRIAN');

var _LOCRIAN2 = _interopRequireDefault(_LOCRIAN);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// B -> B (white keys)

// G -> G (white keys)
// E -> E (white keys)
// C -> C (white keys)
exports.default = {
  IONIAN: _IONIAN2.default,
  DORIAN: _DORIAN2.default,
  PHRYGIAN: _PHRYGIAN2.default,
  LYDIAN: _LYDIAN2.default,
  MIXOLYDIAN: _MIXOLYDIAN2.default,
  AEOLIAN: _AEOLIAN2.default,
  LOCRIAN: _LOCRIAN2.default
}; // A -> A (white keys)
// F -> F (white keys)
// D -> D (white keys)
// https://en.wikipedia.org/wiki/Mode_(music)

// formed by natural notes, also called "white-notes"
// as they can be played using the white keys of a piano keyboard

module.exports = exports['default'];