'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ALGERIAN = require('./ALGERIAN');

var _ALGERIAN2 = _interopRequireDefault(_ALGERIAN);

var _ALTERED = require('./ALTERED');

var _ALTERED2 = _interopRequireDefault(_ALTERED);

var _ARABIC = require('./ARABIC');

var _ARABIC2 = _interopRequireDefault(_ARABIC);

var _AUGMENTED = require('./AUGMENTED');

var _AUGMENTED2 = _interopRequireDefault(_AUGMENTED);

var _BALINESE = require('./BALINESE');

var _BALINESE2 = _interopRequireDefault(_BALINESE);

var _BLUES = require('./BLUES');

var _BLUES2 = _interopRequireDefault(_BLUES);

var _BYZANTINE = require('./BYZANTINE');

var _BYZANTINE2 = _interopRequireDefault(_BYZANTINE);

var _CHINESE = require('./CHINESE');

var _CHINESE2 = _interopRequireDefault(_CHINESE);

var _CHROMATIC = require('./CHROMATIC');

var _CHROMATIC2 = _interopRequireDefault(_CHROMATIC);

var _DOUBLE_HARMONIC = require('./DOUBLE_HARMONIC');

var _DOUBLE_HARMONIC2 = _interopRequireDefault(_DOUBLE_HARMONIC);

var _ENIGMATIC = require('./ENIGMATIC');

var _ENIGMATIC2 = _interopRequireDefault(_ENIGMATIC);

var _GYPSY_MAJOR = require('./GYPSY_MAJOR');

var _GYPSY_MAJOR2 = _interopRequireDefault(_GYPSY_MAJOR);

var _HARMONIC_MINOR = require('./HARMONIC_MINOR');

var _HARMONIC_MINOR2 = _interopRequireDefault(_HARMONIC_MINOR);

var _HIRAJOSHI = require('./HIRAJOSHI');

var _HIRAJOSHI2 = _interopRequireDefault(_HIRAJOSHI);

var _IN_SEN = require('./IN_SEN');

var _IN_SEN2 = _interopRequireDefault(_IN_SEN);

var _JAPANESE = require('./JAPANESE');

var _JAPANESE2 = _interopRequireDefault(_JAPANESE);

var _MAJOR_PENTATONIC = require('./MAJOR_PENTATONIC');

var _MAJOR_PENTATONIC2 = _interopRequireDefault(_MAJOR_PENTATONIC);

var _MAJOR = require('./MAJOR');

var _MAJOR2 = _interopRequireDefault(_MAJOR);

var _MELODIC_MINOR = require('./MELODIC_MINOR');

var _MELODIC_MINOR2 = _interopRequireDefault(_MELODIC_MINOR);

var _MINOR_PENTATONIC = require('./MINOR_PENTATONIC');

var _MINOR_PENTATONIC2 = _interopRequireDefault(_MINOR_PENTATONIC);

var _MONGOLIAN = require('./MONGOLIAN');

var _MONGOLIAN2 = _interopRequireDefault(_MONGOLIAN);

var _NATURAL_MINOR = require('./NATURAL_MINOR');

var _NATURAL_MINOR2 = _interopRequireDefault(_NATURAL_MINOR);

var _PELOG = require('./PELOG');

var _PELOG2 = _interopRequireDefault(_PELOG);

var _PROMETHEUS = require('./PROMETHEUS');

var _PROMETHEUS2 = _interopRequireDefault(_PROMETHEUS);

var _WHOLE_TONE = require('./WHOLE_TONE');

var _WHOLE_TONE2 = _interopRequireDefault(_WHOLE_TONE);

var _YO = require('./YO');

var _YO2 = _interopRequireDefault(_YO);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// https://www.scales-chords.com/scalenav.php

exports.default = {
  ALGERIAN: _ALGERIAN2.default,
  ALTERED: _ALTERED2.default,
  ARABIC: _ARABIC2.default,
  AUGMENTED: _AUGMENTED2.default,
  BALINESE: _BALINESE2.default,
  BLUES: _BLUES2.default,
  BYZANTINE: _BYZANTINE2.default,
  CHINESE: _CHINESE2.default,
  CHROMATIC: _CHROMATIC2.default,
  DOUBLE_HARMONIC: _DOUBLE_HARMONIC2.default,
  ENIGMATIC: _ENIGMATIC2.default,
  GYPSY_MAJOR: _GYPSY_MAJOR2.default,
  HARMONIC_MINOR: _HARMONIC_MINOR2.default,
  HIRAJOSHI: _HIRAJOSHI2.default,
  IN_SEN: _IN_SEN2.default,
  JAPANESE: _JAPANESE2.default,
  MAJOR_PENTATONIC: _MAJOR_PENTATONIC2.default,
  MAJOR: _MAJOR2.default,
  MELODIC_MINOR: _MELODIC_MINOR2.default,
  MINOR_PENTATONIC: _MINOR_PENTATONIC2.default,
  MONGOLIAN: _MONGOLIAN2.default,
  NATURAL_MINOR: _NATURAL_MINOR2.default,
  PELOG: _PELOG2.default,
  PROMETHEUS: _PROMETHEUS2.default,
  WHOLE_TONE: _WHOLE_TONE2.default,
  YO: _YO2.default
};
module.exports = exports['default'];