'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _noteToObject = require('../noteToObject');

var _noteToObject2 = _interopRequireDefault(_noteToObject);

var _isScientificNote = require('../isScientificNote');

var _isScientificNote2 = _interopRequireDefault(_isScientificNote);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getRoot = function getRoot(note) {
  if (!(0, _isScientificNote2.default)(note)) {
    throw new Error('"' + note + '" is not a valid note.');
  }

  return (0, _noteToObject2.default)(note).root;
};

exports.default = getRoot;
module.exports = exports['default'];