'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _noteToObject = require('../noteToObject');

var _noteToObject2 = _interopRequireDefault(_noteToObject);

var _isScientificNoteArray = require('../isScientificNoteArray');

var _isScientificNoteArray2 = _interopRequireDefault(_isScientificNoteArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var uniq = function uniq(arr) {
  return arr.filter(function (e, i, a) {
    return a.indexOf(e) === i;
  });
};

var haveSameOctave = function haveSameOctave() {
  var notes = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  if (!(0, _isScientificNoteArray2.default)(notes) || notes.length < 2) return false;
  return uniq(notes.map(_noteToObject2.default).map(function (o) {
    return o.octave;
  })).length === 1;
};

exports.default = haveSameOctave;
module.exports = exports['default'];